libzypp 17.37.10

authdata.h File Reference
`#include <zypp-core/Url.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | zypp::media::AuthData
| Class for handling media authentication data. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Typedefs
using | zypp::media::AuthData_Ptr = shared_ptr<AuthData>

## Functions
std::ostream & | zypp::media::operator<< (std::ostream &str, const AuthData &auth_data)